# Class TCefV8StackFrameRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFv8StackFrame

## Declaration

`type TCefV8StackFrameRef = class(TCefBaseRefCountedRef, ICefV8StackFrame)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefV8StackFrameRef

## Overview

### Methods

| `function IsValid: Boolean;`
| `function GetScriptName: ustring;`
| `function GetScriptNameOrSourceUrl: ustring;`
| `function GetFunctionName: ustring;`
| `function GetLineNumber: Integer;`
| `function GetColumn: Integer;`
| `function IsEval: Boolean;`
| `function IsConstructor: Boolean;`
| `class function UnWrap(data: Pointer): ICefV8StackFrame;`

## Description

### Methods

| `function IsValid: Boolean;`
This item has no description. Showing description inherited from ICefV8StackFrame.IsValid. Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0).

| `function GetScriptName: ustring;`
This item has no description. Showing description inherited from ICefV8StackFrame.GetScriptName. Returns the name of the resource script that contains the function.

| `function GetScriptNameOrSourceUrl: ustring;`
This item has no description. Showing description inherited from ICefV8StackFrame.GetScriptNameOrSourceUrl. Returns the name of the resource script that contains the function or the sourceURL value if the script name is undefined and its source ends with a "//@ sourceURL=..." string.

| `function GetFunctionName: ustring;`
This item has no description. Showing description inherited from ICefV8StackFrame.GetFunctionName. Returns the name of the function.

| `function GetLineNumber: Integer;`
This item has no description. Showing description inherited from ICefV8StackFrame.GetLineNumber. Returns the 1-based line number for the function call or 0 if unknown.

| `function GetColumn: Integer;`
This item has no description. Showing description inherited from ICefV8StackFrame.GetColumn. Returns the 1-based column offset on the line for the function call or 0 if unknown.

| `function IsEval: Boolean;`
This item has no description. Showing description inherited from ICefV8StackFrame.IsEval. Returns true (1) if the function was compiled using eval().

| `function IsConstructor: Boolean;`
This item has no description. Showing description inherited from ICefV8StackFrame.IsConstructor. Returns true (1) if the function was called as a constructor via "new".

| `class function UnWrap(data: Pointer): ICefV8StackFrame;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.